#UNKNOWN = 0
#SYN_RCV = 1
#SYN_ACK_RCV = 2
#ESTABLISHED = 3
#CLOSED_RST = 4
#FIN_CLN_RCV = 5
#FIN_SRV_RCV = 6
#CLOSED_FIN = 7
#ERROR_TCP = 8
#FIRST_IS_CLN = 0
#FIRST_IS_SRV = $ffffffff
#FIN_CLN = 1
#FIN_SRV = 2
#MAX_WINDOW = 65536
Structure tcp_data
  timestamp_block.timeval
  syn_timestamp.timeval
  last_timestamp.timeval
  syn_ack_timestamp.timeval
  direction.l
  seq_n_0_srv.l
  seq_n_0_cln.l
  ack_srv.l
  ack_cln.l
  status.l
  pkts_cln_to_srv.l
  pkts_srv_to_cln.l
  bytes_srv_to_cln.l
  bytes_cln_to_srv.l
  close_state.l
EndStructure

;incompability with PBConstants
; #FIN = 1
; #SYN = 2
; #RST = 4
; #PSH = 8
; #ACK = 16
; #URG = 32
#TCP_SESSION = $00000800

; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 32
; Folding = -