#DD_NDIS_DEVICE_NAME = "\Device\UNKNOWN"
Macro _NDIS_CONTROL_CODE(request,method)
	CTL_CODE(#FILE_DEVICE_PHYSICAL_NETCARD, request, method, #FILE_ANY_ACCESS)
EndMacro
#IOCTL_NDIS_QUERY_GLOBAL_STATS = _NDIS_CONTROL_CODE( 0,#METHOD_OUT_DIRECT)
#IOCTL_NDIS_QUERY_ALL_STATS = _NDIS_CONTROL_CODE( 1,#METHOD_OUT_DIRECT)
#IOCTL_NDIS_ADD_DEVICE = _NDIS_CONTROL_CODE( 2,#METHOD_BUFFERED)
#IOCTL_NDIS_DELETE_DEVICE = _NDIS_CONTROL_CODE( 3,#METHOD_BUFFERED)
#IOCTL_NDIS_TRANSLATE_NAME = _NDIS_CONTROL_CODE( 4,#METHOD_BUFFERED)
#IOCTL_NDIS_ADD_TDI_DEVICE = _NDIS_CONTROL_CODE( 5,#METHOD_BUFFERED)
#IOCTL_NDIS_NOTIFY_PROTOCOL = _NDIS_CONTROL_CODE( 6,#METHOD_BUFFERED)
#IOCTL_NDIS_GET_LOG_DATA = _NDIS_CONTROL_CODE( 7,#METHOD_OUT_DIRECT)
Macro NDIS_OID
  l
EndMacro
Structure NDIS_STATISTICS_VALUE
  Oid.NDIS_OID
  DataLength.l
  Data.b[0]
EndStructure

Structure NET_PNP_ID
  ClassId.l
  Token.l
EndStructure

Structure NET_PNP_TRANSLATE_LIST
  BytesNeeded.l
  IdArray.NET_PNP_ID[#ANYSIZE_ARRAY]
EndStructure

Structure NDIS_VAR_DATA_DESC
  Length.w
  MaximumLength.w
  Offset.l
EndStructure

#OID_GEN_SUPPORTED_LIST = $00010101
#OID_GEN_HARDWARE_STATUS = $00010102
#OID_GEN_MEDIA_SUPPORTED = $00010103
#OID_GEN_MEDIA_IN_USE = $00010104
#OID_GEN_MAXIMUM_LOOKAHEAD = $00010105
#OID_GEN_MAXIMUM_FRAME_SIZE = $00010106
#OID_GEN_LINK_SPEED = $00010107
#OID_GEN_TRANSMIT_BUFFER_SPACE = $00010108
#OID_GEN_RECEIVE_BUFFER_SPACE = $00010109
#OID_GEN_TRANSMIT_BLOCK_SIZE = $0001010A
#OID_GEN_RECEIVE_BLOCK_SIZE = $0001010B
#OID_GEN_VENDOR_ID = $0001010C
#OID_GEN_VENDOR_DESCRIPTION = $0001010D
#OID_GEN_CURRENT_PACKET_FILTER = $0001010E
#OID_GEN_CURRENT_LOOKAHEAD = $0001010F
#OID_GEN_DRIVER_VERSION = $00010110
#OID_GEN_MAXIMUM_TOTAL_SIZE = $00010111
#OID_GEN_PROTOCOL_OPTIONS = $00010112
#OID_GEN_MAC_OPTIONS = $00010113
#OID_GEN_MEDIA_CONNECT_STATUS = $00010114
#OID_GEN_MAXIMUM_SEND_PACKETS = $00010115
#OID_GEN_VENDOR_DRIVER_VERSION = $00010116
#OID_GEN_XMIT_OK = $00020101
#OID_GEN_RCV_OK = $00020102
#OID_GEN_XMIT_ERROR = $00020103
#OID_GEN_RCV_ERROR = $00020104
#OID_GEN_RCV_NO_BUFFER = $00020105
#OID_GEN_DIRECTED_BYTES_XMIT = $00020201
#OID_GEN_DIRECTED_FRAMES_XMIT = $00020202
#OID_GEN_MULTICAST_BYTES_XMIT = $00020203
#OID_GEN_MULTICAST_FRAMES_XMIT = $00020204
#OID_GEN_BROADCAST_BYTES_XMIT = $00020205
#OID_GEN_BROADCAST_FRAMES_XMIT = $00020206
#OID_GEN_DIRECTED_BYTES_RCV = $00020207
#OID_GEN_DIRECTED_FRAMES_RCV = $00020208
#OID_GEN_MULTICAST_BYTES_RCV = $00020209
#OID_GEN_MULTICAST_FRAMES_RCV = $0002020A
#OID_GEN_BROADCAST_BYTES_RCV = $0002020B
#OID_GEN_BROADCAST_FRAMES_RCV = $0002020C
#OID_GEN_RCV_CRC_ERROR = $0002020D
#OID_GEN_TRANSMIT_QUEUE_LENGTH = $0002020E
#OID_GEN_GET_TIME_CAPS = $0002020F
#OID_GEN_GET_NETCARD_TIME = $00020210
#OID_GEN_CO_SUPPORTED_LIST = $00010101
#OID_GEN_CO_HARDWARE_STATUS = $00010102
#OID_GEN_CO_MEDIA_SUPPORTED = $00010103
#OID_GEN_CO_MEDIA_IN_USE = $00010104
#OID_GEN_CO_LINK_SPEED = $00010105
#OID_GEN_CO_VENDOR_ID = $00010106
#OID_GEN_CO_VENDOR_DESCRIPTION = $00010107
#OID_GEN_CO_DRIVER_VERSION = $00010108
#OID_GEN_CO_PROTOCOL_OPTIONS = $00010109
#OID_GEN_CO_MAC_OPTIONS = $0001010A
#OID_GEN_CO_MEDIA_CONNECT_STATUS = $0001010B
#OID_GEN_CO_VENDOR_DRIVER_VERSION = $0001010C
#OID_GEN_CO_MINIMUM_LINK_SPEED = $0001010D
#OID_GEN_CO_GET_TIME_CAPS = $00010201
#OID_GEN_CO_GET_NETCARD_TIME = $00010202
#OID_GEN_CO_XMIT_PDUS_OK = $00020101
#OID_GEN_CO_RCV_PDUS_OK = $00020102
#OID_GEN_CO_XMIT_PDUS_ERROR = $00020103
#OID_GEN_CO_RCV_PDUS_ERROR = $00020104
#OID_GEN_CO_RCV_PDUS_NO_BUFFER = $00020105
#OID_GEN_CO_RCV_CRC_ERROR = $00020201
#OID_GEN_CO_TRANSMIT_QUEUE_LENGTH = $00020202
#OID_GEN_CO_BYTES_XMIT = $00020203
#OID_GEN_CO_BYTES_RCV = $00020204
#OID_GEN_CO_BYTES_XMIT_OUTSTANDING = $00020205
#OID_GEN_CO_NETCARD_LOAD = $00020206
#OID_CO_ADD_PVC = $FF000001
#OID_CO_DELETE_PVC = $FF000002
#OID_CO_GET_CALL_INFORMATION = $FF000003
#OID_CO_ADD_ADDRESS = $FF000004
#OID_CO_DELETE_ADDRESS = $FF000005
#OID_CO_GET_ADDRESSES = $FF000006
#OID_CO_ADDRESS_CHANGE = $FF000007
#OID_CO_SIGNALING_ENABLED = $FF000008
#OID_CO_SIGNALING_DISABLED = $FF000009
#OID_802_3_PERMANENT_ADDRESS = $01010101
#OID_802_3_CURRENT_ADDRESS = $01010102
#OID_802_3_MULTICAST_LIST = $01010103
#OID_802_3_MAXIMUM_LIST_SIZE = $01010104
#OID_802_3_MAC_OPTIONS = $01010105
#NDIS_802_3_MAC_OPTION_PRIORITY = $00000001
#OID_802_3_RCV_ERROR_ALIGNMENT = $01020101
#OID_802_3_XMIT_ONE_COLLISION = $01020102
#OID_802_3_XMIT_MORE_COLLISIONS = $01020103
#OID_802_3_XMIT_DEFERRED = $01020201
#OID_802_3_XMIT_MAX_COLLISIONS = $01020202
#OID_802_3_RCV_OVERRUN = $01020203
#OID_802_3_XMIT_UNDERRUN = $01020204
#OID_802_3_XMIT_HEARTBEAT_FAILURE = $01020205
#OID_802_3_XMIT_TIMES_CRS_LOST = $01020206
#OID_802_3_XMIT_LATE_COLLISIONS = $01020207
#OID_802_5_PERMANENT_ADDRESS = $02010101
#OID_802_5_CURRENT_ADDRESS = $02010102
#OID_802_5_CURRENT_FUNCTIONAL = $02010103
#OID_802_5_CURRENT_GROUP = $02010104
#OID_802_5_LAST_OPEN_STATUS = $02010105
#OID_802_5_CURRENT_RING_STATUS = $02010106
#OID_802_5_CURRENT_RING_STATE = $02010107
#OID_802_5_LINE_ERRORS = $02020101
#OID_802_5_LOST_FRAMES = $02020102
#OID_802_5_BURST_ERRORS = $02020201
#OID_802_5_AC_ERRORS = $02020202
#OID_802_5_ABORT_DELIMETERS = $02020203
#OID_802_5_FRAME_COPIED_ERRORS = $02020204
#OID_802_5_FREQUENCY_ERRORS = $02020205
#OID_802_5_TOKEN_ERRORS = $02020206
#OID_802_5_INTERNAL_ERRORS = $02020207
#OID_FDDI_LONG_PERMANENT_ADDR = $03010101
#OID_FDDI_LONG_CURRENT_ADDR = $03010102
#OID_FDDI_LONG_MULTICAST_LIST = $03010103
#OID_FDDI_LONG_MAX_LIST_SIZE = $03010104
#OID_FDDI_SHORT_PERMANENT_ADDR = $03010105
#OID_FDDI_SHORT_CURRENT_ADDR = $03010106
#OID_FDDI_SHORT_MULTICAST_LIST = $03010107
#OID_FDDI_SHORT_MAX_LIST_SIZE = $03010108
#OID_FDDI_ATTACHMENT_TYPE = $03020101
#OID_FDDI_UPSTREAM_NODE_LONG = $03020102
#OID_FDDI_DOWNSTREAM_NODE_LONG = $03020103
#OID_FDDI_FRAME_ERRORS = $03020104
#OID_FDDI_FRAMES_LOST = $03020105
#OID_FDDI_RING_MGT_STATE = $03020106
#OID_FDDI_LCT_FAILURES = $03020107
#OID_FDDI_LEM_REJECTS = $03020108
#OID_FDDI_LCONNECTION_STATE = $03020109
#OID_FDDI_SMT_STATION_ID = $03030201
#OID_FDDI_SMT_OP_VERSION_ID = $03030202
#OID_FDDI_SMT_HI_VERSION_ID = $03030203
#OID_FDDI_SMT_LO_VERSION_ID = $03030204
#OID_FDDI_SMT_MANUFACTURER_DATA = $03030205
#OID_FDDI_SMT_USER_DATA = $03030206
#OID_FDDI_SMT_MIB_VERSION_ID = $03030207
#OID_FDDI_SMT_MAC_CT = $03030208
#OID_FDDI_SMT_NON_MASTER_CT = $03030209
#OID_FDDI_SMT_MASTER_CT = $0303020A
#OID_FDDI_SMT_AVAILABLE_PATHS = $0303020B
#OID_FDDI_SMT_CONFIG_CAPABILITIES = $0303020C
#OID_FDDI_SMT_CONFIG_POLICY = $0303020D
#OID_FDDI_SMT_CONNECTION_POLICY = $0303020E
#OID_FDDI_SMT_T_NOTIFY = $0303020F
#OID_FDDI_SMT_STAT_RPT_POLICY = $03030210
#OID_FDDI_SMT_TRACE_MAX_EXPIRATION = $03030211
#OID_FDDI_SMT_PORT_INDEXES = $03030212
#OID_FDDI_SMT_MAC_INDEXES = $03030213
#OID_FDDI_SMT_BYPASS_PRESENT = $03030214
#OID_FDDI_SMT_ECM_STATE = $03030215
#OID_FDDI_SMT_CF_STATE = $03030216
#OID_FDDI_SMT_HOLD_STATE = $03030217
#OID_FDDI_SMT_REMOTE_DISCONNECT_FLAG = $03030218
#OID_FDDI_SMT_STATION_STATUS = $03030219
#OID_FDDI_SMT_PEER_WRAP_FLAG = $0303021A
#OID_FDDI_SMT_MSG_TIME_STAMP = $0303021B
#OID_FDDI_SMT_TRANSITION_TIME_STAMP = $0303021C
#OID_FDDI_SMT_SET_COUNT = $0303021D
#OID_FDDI_SMT_LAST_SET_STATION_ID = $0303021E
#OID_FDDI_MAC_FRAME_STATUS_FUNCTIONS = $0303021F
#OID_FDDI_MAC_BRIDGE_FUNCTIONS = $03030220
#OID_FDDI_MAC_T_MAX_CAPABILITY = $03030221
#OID_FDDI_MAC_TVX_CAPABILITY = $03030222
#OID_FDDI_MAC_AVAILABLE_PATHS = $03030223
#OID_FDDI_MAC_CURRENT_PATH = $03030224
#OID_FDDI_MAC_UPSTREAM_NBR = $03030225
#OID_FDDI_MAC_DOWNSTREAM_NBR = $03030226
#OID_FDDI_MAC_OLD_UPSTREAM_NBR = $03030227
#OID_FDDI_MAC_OLD_DOWNSTREAM_NBR = $03030228
#OID_FDDI_MAC_DUP_ADDRESS_TEST = $03030229
#OID_FDDI_MAC_REQUESTED_PATHS = $0303022A
#OID_FDDI_MAC_DOWNSTREAM_PORT_TYPE = $0303022B
#OID_FDDI_MAC_INDEX = $0303022C
#OID_FDDI_MAC_SMT_ADDRESS = $0303022D
#OID_FDDI_MAC_LONG_GRP_ADDRESS = $0303022E
#OID_FDDI_MAC_SHORT_GRP_ADDRESS = $0303022F
#OID_FDDI_MAC_T_REQ = $03030230
#OID_FDDI_MAC_T_NEG = $03030231
#OID_FDDI_MAC_T_MAX = $03030232
#OID_FDDI_MAC_TVX_VALUE = $03030233
#OID_FDDI_MAC_T_PRI0 = $03030234
#OID_FDDI_MAC_T_PRI1 = $03030235
#OID_FDDI_MAC_T_PRI2 = $03030236
#OID_FDDI_MAC_T_PRI3 = $03030237
#OID_FDDI_MAC_T_PRI4 = $03030238
#OID_FDDI_MAC_T_PRI5 = $03030239
#OID_FDDI_MAC_T_PRI6 = $0303023A
#OID_FDDI_MAC_FRAME_CT = $0303023B
#OID_FDDI_MAC_COPIED_CT = $0303023C
#OID_FDDI_MAC_TRANSMIT_CT = $0303023D
#OID_FDDI_MAC_TOKEN_CT = $0303023E
#OID_FDDI_MAC_ERROR_CT = $0303023F
#OID_FDDI_MAC_LOST_CT = $03030240
#OID_FDDI_MAC_TVX_EXPIRED_CT = $03030241
#OID_FDDI_MAC_NOT_COPIED_CT = $03030242
#OID_FDDI_MAC_LATE_CT = $03030243
#OID_FDDI_MAC_RING_OP_CT = $03030244
#OID_FDDI_MAC_FRAME_ERROR_THRESHOLD = $03030245
#OID_FDDI_MAC_FRAME_ERROR_RATIO = $03030246
#OID_FDDI_MAC_NOT_COPIED_THRESHOLD = $03030247
#OID_FDDI_MAC_NOT_COPIED_RATIO = $03030248
#OID_FDDI_MAC_RMT_STATE = $03030249
#OID_FDDI_MAC_DA_FLAG = $0303024A
#OID_FDDI_MAC_UNDA_FLAG = $0303024B
#OID_FDDI_MAC_FRAME_ERROR_FLAG = $0303024C
#OID_FDDI_MAC_NOT_COPIED_FLAG = $0303024D
#OID_FDDI_MAC_MA_UNITDATA_AVAILABLE = $0303024E
#OID_FDDI_MAC_HARDWARE_PRESENT = $0303024F
#OID_FDDI_MAC_MA_UNITDATA_ENABLE = $03030250
#OID_FDDI_PATH_INDEX = $03030251
#OID_FDDI_PATH_RING_LATENCY = $03030252
#OID_FDDI_PATH_TRACE_STATUS = $03030253
#OID_FDDI_PATH_SBA_PAYLOAD = $03030254
#OID_FDDI_PATH_SBA_OVERHEAD = $03030255
#OID_FDDI_PATH_CONFIGURATION = $03030256
#OID_FDDI_PATH_T_R_MODE = $03030257
#OID_FDDI_PATH_SBA_AVAILABLE = $03030258
#OID_FDDI_PATH_TVX_LOWER_BOUND = $03030259
#OID_FDDI_PATH_T_MAX_LOWER_BOUND = $0303025A
#OID_FDDI_PATH_MAX_T_REQ = $0303025B
#OID_FDDI_PORT_MY_TYPE = $0303025C
#OID_FDDI_PORT_NEIGHBOR_TYPE = $0303025D
#OID_FDDI_PORT_CONNECTION_POLICIES = $0303025E
#OID_FDDI_PORT_MAC_INDICATED = $0303025F
#OID_FDDI_PORT_CURRENT_PATH = $03030260
#OID_FDDI_PORT_REQUESTED_PATHS = $03030261
#OID_FDDI_PORT_MAC_PLACEMENT = $03030262
#OID_FDDI_PORT_AVAILABLE_PATHS = $03030263
#OID_FDDI_PORT_MAC_LOOP_TIME = $03030264
#OID_FDDI_PORT_PMD_CLASS = $03030265
#OID_FDDI_PORT_CONNECTION_CAPABILITIES = $03030266
#OID_FDDI_PORT_INDEX = $03030267
#OID_FDDI_PORT_MAINT_LS = $03030268
#OID_FDDI_PORT_BS_FLAG = $03030269
#OID_FDDI_PORT_PC_LS = $0303026A
#OID_FDDI_PORT_EB_ERROR_CT = $0303026B
#OID_FDDI_PORT_LCT_FAIL_CT = $0303026C
#OID_FDDI_PORT_LER_ESTIMATE = $0303026D
#OID_FDDI_PORT_LEM_REJECT_CT = $0303026E
#OID_FDDI_PORT_LEM_CT = $0303026F
#OID_FDDI_PORT_LER_CUTOFF = $03030270
#OID_FDDI_PORT_LER_ALARM = $03030271
#OID_FDDI_PORT_CONNNECT_STATE = $03030272
#OID_FDDI_PORT_PCM_STATE = $03030273
#OID_FDDI_PORT_PC_WITHHOLD = $03030274
#OID_FDDI_PORT_LER_FLAG = $03030275
#OID_FDDI_PORT_HARDWARE_PRESENT = $03030276
#OID_FDDI_SMT_STATION_ACTION = $03030277
#OID_FDDI_PORT_ACTION = $03030278
#OID_FDDI_IF_DESCR = $03030279
#OID_FDDI_IF_TYPE = $0303027A
#OID_FDDI_IF_MTU = $0303027B
#OID_FDDI_IF_SPEED = $0303027C
#OID_FDDI_IF_PHYS_ADDRESS = $0303027D
#OID_FDDI_IF_ADMIN_STATUS = $0303027E
#OID_FDDI_IF_OPER_STATUS = $0303027F
#OID_FDDI_IF_LAST_CHANGE = $03030280
#OID_FDDI_IF_IN_OCTETS = $03030281
#OID_FDDI_IF_IN_UCAST_PKTS = $03030282
#OID_FDDI_IF_IN_NUCAST_PKTS = $03030283
#OID_FDDI_IF_IN_DISCARDS = $03030284
#OID_FDDI_IF_IN_ERRORS = $03030285
#OID_FDDI_IF_IN_UNKNOWN_PROTOS = $03030286
#OID_FDDI_IF_OUT_OCTETS = $03030287
#OID_FDDI_IF_OUT_UCAST_PKTS = $03030288
#OID_FDDI_IF_OUT_NUCAST_PKTS = $03030289
#OID_FDDI_IF_OUT_DISCARDS = $0303028A
#OID_FDDI_IF_OUT_ERRORS = $0303028B
#OID_FDDI_IF_OUT_QLEN = $0303028C
#OID_FDDI_IF_SPECIFIC = $0303028D
#OID_WAN_PERMANENT_ADDRESS = $04010101
#OID_WAN_CURRENT_ADDRESS = $04010102
#OID_WAN_QUALITY_OF_SERVICE = $04010103
#OID_WAN_PROTOCOL_TYPE = $04010104
#OID_WAN_MEDIUM_SUBTYPE = $04010105
#OID_WAN_HEADER_FORMAT = $04010106
#OID_WAN_GET_INFO = $04010107
#OID_WAN_SET_LINK_INFO = $04010108
#OID_WAN_GET_LINK_INFO = $04010109
#OID_WAN_LINE_COUNT = $0401010A
#OID_WAN_GET_BRIDGE_INFO = $0401020A
#OID_WAN_SET_BRIDGE_INFO = $0401020B
#OID_WAN_GET_COMP_INFO = $0401020C
#OID_WAN_SET_COMP_INFO = $0401020D
#OID_WAN_GET_STATS_INFO = $0401020E
#OID_LTALK_CURRENT_NODE_ID = $05010102
#OID_LTALK_IN_BROADCASTS = $05020101
#OID_LTALK_IN_LENGTH_ERRORS = $05020102
#OID_LTALK_OUT_NO_lRS = $05020201
#OID_LTALK_COLLISIONS = $05020202
#OID_LTALK_DEFERS = $05020203
#OID_LTALK_NO_DATA_ERRORS = $05020204
#OID_LTALK_RANDOM_CTS_ERRORS = $05020205
#OID_LTALK_FCS_ERRORS = $05020206
#OID_ARCNET_PERMANENT_ADDRESS = $06010101
#OID_ARCNET_CURRENT_ADDRESS = $06010102
#OID_ARCNET_RECONFIGURATIONS = $06020201
#OID_TAPI_ACCEPT = $07030101
#OID_TAPI_ANSWER = $07030102
#OID_TAPI_CLOSE = $07030103
#OID_TAPI_CLOSE_CALL = $07030104
#OID_TAPI_CONDITIONAL_MEDIA_DETECTION = $07030105
#OID_TAPI_CONFIG_DIALOG = $07030106
#OID_TAPI_DEV_SPECIFIC = $07030107
#OID_TAPI_DIAL = $07030108
#OID_TAPI_DROP = $07030109
#OID_TAPI_GET_ADDRESS_CAPS = $0703010A
#OID_TAPI_GET_ADDRESS_ID = $0703010B
#OID_TAPI_GET_ADDRESS_STATUS = $0703010C
#OID_TAPI_GET_CALL_ADDRESS_ID = $0703010D
#OID_TAPI_GET_CALL_INFO = $0703010E
#OID_TAPI_GET_CALL_STATUS = $0703010F
#OID_TAPI_GET_DEV_CAPS = $07030110
#OID_TAPI_GET_DEV_CONFIG = $07030111
#OID_TAPI_GET_EXTENSION_ID = $07030112
#OID_TAPI_GET_ID = $07030113
#OID_TAPI_GET_LINE_DEV_STATUS = $07030114
#OID_TAPI_MAKE_CALL = $07030115
#OID_TAPI_NEGOTIATE_EXT_VERSION = $07030116
#OID_TAPI_OPEN = $07030117
#OID_TAPI_PROVIDER_INITIALIZE = $07030118
#OID_TAPI_PROVIDER_SHUTDOWN = $07030119
#OID_TAPI_SECURE_CALL = $0703011A
#OID_TAPI_SELECT_EXT_VERSION = $0703011B
#OID_TAPI_SEND_USER_USER_INFO = $0703011C
#OID_TAPI_SET_APP_SPECIFIC = $0703011D
#OID_TAPI_SET_CALL_PARAMS = $0703011E
#OID_TAPI_SET_DEFAULT_MEDIA_DETECTION = $0703011F
#OID_TAPI_SET_DEV_CONFIG = $07030120
#OID_TAPI_SET_MEDIA_MODE = $07030121
#OID_TAPI_SET_STATUS_MESSAGES = $07030122
#OID_ATM_SUPPORTED_VC_RATES = $08010101
#OID_ATM_SUPPORTED_SERVICE_CATEGORY = $08010102
#OID_ATM_SUPPORTED_AAL_TYPES = $08010103
#OID_ATM_HW_CURRENT_ADDRESS = $08010104
#OID_ATM_MAX_ACTIVE_VCS = $08010105
#OID_ATM_MAX_ACTIVE_VCI_BITS = $08010106
#OID_ATM_MAX_ACTIVE_VPI_BITS = $08010107
#OID_ATM_MAX_AAL0_PACKET_SIZE = $08010108
#OID_ATM_MAX_AAL1_PACKET_SIZE = $08010109
#OID_ATM_MAX_AAL34_PACKET_SIZE = $0801010A
#OID_ATM_MAX_AAL5_PACKET_SIZE = $0801010B
#OID_ATM_SIGNALING_VPIVCI = $08010201
#OID_ATM_ASSIGNED_VPI = $08010202
#OID_ATM_ACQUIRE_ACCESS_NET_RESOURCES = $08010203
#OID_ATM_RELEASE_ACCESS_NET_RESOURCES = $08010204
#OID_ATM_ILMI_VPIVCI = $08010205
#OID_ATM_DIGITAL_BROADCAST_VPIVCI = $08010206
#OID_ATM_GET_NEAREST_FLOW = $08010207
#OID_ATM_ALIGNMENT_REQUIRED = $08010208
#OID_ATM_RCV_CELLS_OK = $08020101
#OID_ATM_XMIT_CELLS_OK = $08020102
#OID_ATM_RCV_CELLS_DROPPED = $08020103
#OID_ATM_RCV_INVALID_VPI_VCI = $08020201
#OID_ATM_CELLS_HEC_ERROR = $08020202
#OID_ATM_RCV_REASSEMBLY_ERROR = $08020203
#OID_WW_GEN_NETWORK_TYPES_SUPPORTED = $09010101
#OID_WW_GEN_NETWORK_TYPE_IN_USE = $09010102
#OID_WW_GEN_HEADER_FORMATS_SUPPORTED = $09010103
#OID_WW_GEN_HEADER_FORMAT_IN_USE = $09010104
#OID_WW_GEN_INDICATION_REQUEST = $09010105
#OID_WW_GEN_DEVICE_INFO = $09010106
#OID_WW_GEN_OPERATION_MODE = $09010107
#OID_WW_GEN_LOCK_STATUS = $09010108
#OID_WW_GEN_DISABLE_TRANSMITTER = $09010109
#OID_WW_GEN_NETWORK_ID = $0901010A
#OID_WW_GEN_PERMANENT_ADDRESS = $0901010B
#OID_WW_GEN_CURRENT_ADDRESS = $0901010C
#OID_WW_GEN_SUSPEND_DRIVER = $0901010D
#OID_WW_GEN_BASESTATION_ID = $0901010E
#OID_WW_GEN_CHANNEL_ID = $0901010F
#OID_WW_GEN_ENCRYPTION_SUPPORTED = $09010110
#OID_WW_GEN_ENCRYPTION_IN_USE = $09010111
#OID_WW_GEN_ENCRYPTION_STATE = $09010112
#OID_WW_GEN_CHANNEL_QUALITY = $09010113
#OID_WW_GEN_REGISTRATION_STATUS = $09010114
#OID_WW_GEN_RADIO_LINK_SPEED = $09010115
#OID_WW_GEN_LATENCY = $09010116
#OID_WW_GEN_BATTERY_LEVEL = $09010117
#OID_WW_GEN_EXTERNAL_POWER = $09010118
#OID_WW_MBX_SUBADDR = $09050101
#OID_WW_MBX_FLEXLIST = $09050103
#OID_WW_MBX_GROUPLIST = $09050104
#OID_WW_MBX_TRAFFIC_AREA = $09050105
#OID_WW_MBX_LIVE_DIE = $09050106
#OID_WW_MBX_TEMP_DEFAULTLIST = $09050107
#OID_WW_PIN_LOC_AUTHORIZE = $09090101
#OID_WW_PIN_LAST_LOCATION = $09090102
#OID_WW_PIN_LOC_FIX = $09090103
#OID_WW_CDPD_SPNI = $090D0101
#OID_WW_CDPD_WASI = $090D0102
#OID_WW_CDPD_AREA_COLOR = $090D0103
#OID_WW_CDPD_TX_POWER_LEVEL = $090D0104
#OID_WW_CDPD_EID = $090D0105
#OID_WW_CDPD_HEADER_COMPRESSION = $090D0106
#OID_WW_CDPD_DATA_COMPRESSION = $090D0107
#OID_WW_CDPD_CHANNEL_SELECT = $090D0108
#OID_WW_CDPD_CHANNEL_STATE = $090D0109
#OID_WW_CDPD_NEI = $090D010A
#OID_WW_CDPD_NEI_STATE = $090D010B
#OID_WW_CDPD_SERVICE_PROVIDER_IDENTIFIER = $090D010C
#OID_WW_CDPD_SLEEP_MODE = $090D010D
#OID_WW_CDPD_CIRCUIT_SWITCHED = $090D010E
#OID_WW_CDPD_TEI = $090D010F
#OID_WW_CDPD_RSSI = $090D0110
#OID_WW_ARD_SNDCP = $09110101
#OID_WW_ARD_TMLY_MSG = $09110102
#OID_WW_ARD_DATAGRAM = $09110103
#OID_WW_TAC_COMPRESSION = $09150101
#OID_WW_TAC_SET_CONFIG = $09150102
#OID_WW_TAC_GET_STATUS = $09150103
#OID_WW_TAC_USER_HEADER = $09150104
#OID_WW_MET_FUNCTION = $09190101
#OID_IRDA_RECEIVING = $0A010100
#OID_IRDA_TURNAROUND_TIME = $0A010101
#OID_IRDA_SUPPORTED_SPEEDS = $0A010102
#OID_IRDA_LINK_SPEED = $0A010103
#OID_IRDA_MEDIA_BUSY = $0A010104
#OID_IRDA_EXTRA_RCV_BOFS = $0A010200
#OID_IRDA_RATE_SNIFF = $0A010201
#OID_IRDA_UNICAST_LIST = $0A010202
#OID_IRDA_MAX_UNICAST_LIST_SIZE = $0A010203
#OID_IRDA_MAX_RECEIVE_WINDOW_SIZE = $0A010204
#OID_IRDA_MAX_SEND_WINDOW_SIZE = $0A010205
Enumeration   ; NDIS_MEDIUM
  #NdisMedium802_3
  #NdisMedium802_5
  #NdisMediumFddi
  #NdisMediumWan
  #NdisMediumLocalTalk
  #NdisMediumDix
  #NdisMediumArcnetRaw
  #NdisMediumArcnet878_2
  #NdisMediumAtm
  #NdisMediumWirelessWan
  #NdisMediumIrda
  #NdisMediumMax
EndEnumeration

Enumeration   ; NDIS_HARDWARE_STATUS
  #NdisHardwareStatusReady
  #NdisHardwareStatusInitializing
  #NdisHardwareStatusReset
  #NdisHardwareStatusClosing
  #NdisHardwareStatusNotReady
EndEnumeration

Structure GEN_GET_TIME_CAPS
  Flags.l
  ClockPrecision.l
EndStructure

#READABLE_LOCAL_CLOCK = $000000001
#CLOCK_NETWORK_DERIVED = $000000002
#CLOCK_PRECISION = $000000004
#RECEIVE_TIME_INDICATION_CAPABLE = $000000008
#TIMED_SEND_CAPABLE = $000000010
#TIME_STAMP_CAPABLE = $000000020
Structure GEN_GET_NETCARD_TIME
  ReadTime.l
EndStructure

Enumeration   ; NDIS_FDDI_ATTACHMENT_TYPE
  #NdisFddiTypeIsolated = 1
  #NdisFddiTypeLocalA
  #NdisFddiTypeLocalB
  #NdisFddiTypeLocalAB
  #NdisFddiTypeLocalS
  #NdisFddiTypeWrapA
  #NdisFddiTypeWrapB
  #NdisFddiTypeWrapAB
  #NdisFddiTypeWrapS
  #NdisFddiTypeCWrapA
  #NdisFddiTypeCWrapB
  #NdisFddiTypeCWrapS
  #NdisFddiTypeThrough
EndEnumeration

Enumeration   ; NDIS_FDDI_RING_MGT_STATE
  #NdisFddiRingIsolated = 1
  #NdisFddiRingNonOperational
  #NdisFddiRingOperational
  #NdisFddiRingDetect
  #NdisFddiRingNonOperationalDup
  #NdisFddiRingOperationalDup
  #NdisFddiRingDirected
  #NdisFddiRingTrace
EndEnumeration

Enumeration   ; NDIS_FDDI_LCONNECTION_STATE
  #NdisFddiStateOff = 1
  #NdisFddiStateBreak
  #NdisFddiStateTrace
  #NdisFddiStateConnect
  #NdisFddiStateNext
  #NdisFddiStateSignal
  #NdisFddiStateJoin
  #NdisFddiStateVerify
  #NdisFddiStateActive
  #NdisFddiStateMaintenance
EndEnumeration

Enumeration   ; NDIS_WAN_MEDIUM_SUBTYPE
  #NdisWanMediumHub
  #NdisWanMediumX_25
  #NdisWanMediumIsdn
  #NdisWanMediumSerial
  #NdisWanMediumFrameRelay
  #NdisWanMediumAtm
  #NdisWanMediumSonet
  #NdisWanMediumSW56K
EndEnumeration

Enumeration   ; NDIS_WAN_HEADER_FORMAT
  #NdisWanHeaderNative
  #NdisWanHeaderEthernet
EndEnumeration

Enumeration   ; NDIS_WAN_QUALITY
  #NdisWanRaw
  #NdisWanErrorControl
  #NdisWanReliable
EndEnumeration

Enumeration   ; NDIS_802_5_RING_STATE
  #NdisRingStateOpened = 1
  #NdisRingStateClosed
  #NdisRingStateOpening
  #NdisRingStateClosing
  #NdisRingStateOpenFailure
  #NdisRingStateRingFailure
EndEnumeration

Enumeration   ; NDIS_MEDIA_STATE
  #NdisMediaStateConnected
  #NdisMediaStateDisconnected
EndEnumeration

Structure NDIS_CO_LINK_SPEED
  Outbound.l
  Inbound.l
EndStructure

#NDIS_PACKET_TYPE_DIRECTED = $0001
#NDIS_PACKET_TYPE_MULTICAST = $0002
#NDIS_PACKET_TYPE_ALL_MULTICAST = $0004
#NDIS_PACKET_TYPE_BROADCAST = $0008
#NDIS_PACKET_TYPE_SOURCE_ROUTING = $0010
#NDIS_PACKET_TYPE_PROMISCUOUS = $0020
#NDIS_PACKET_TYPE_SMT = $0040
#NDIS_PACKET_TYPE_ALL_LOCAL = $0080
#NDIS_PACKET_TYPE_MAC_FRAME = $8000
#NDIS_PACKET_TYPE_FUNCTIONAL = $4000
#NDIS_PACKET_TYPE_ALL_FUNCTIONAL = $2000
#NDIS_PACKET_TYPE_GROUP = $1000
#NDIS_RING_SIGNAL_LOSS = $00008000
#NDIS_RING_HARD_ERROR = $00004000
#NDIS_RING_SOFT_ERROR = $00002000
#NDIS_RING_TRANSMIT_BEACON = $00001000
#NDIS_RING_LOBE_WIRE_FAULT = $00000800
#NDIS_RING_AUTO_REMOVAL_ERROR = $00000400
#NDIS_RING_REMOVE_RECEIVED = $00000200
#NDIS_RING_COUNTER_OVERFLOW = $00000100
#NDIS_RING_SINGLE_STATION = $00000080
#NDIS_RING_RING_RECOVERY = $00000040
#NDIS_PROT_OPTION_ESTIMATED_LENGTH = $00000001
#NDIS_PROT_OPTION_NO_LOOPBACK = $00000002
#NDIS_PROT_OPTION_NO_RSVD_ON_RCVPKT = $00000004
#NDIS_MAC_OPTION_COPY_LOOKAHEAD_DATA = $00000001
#NDIS_MAC_OPTION_RECEIVE_SERIALIZED = $00000002
#NDIS_MAC_OPTION_TRANSFERS_NOT_PEND = $00000004
#NDIS_MAC_OPTION_NO_LOOPBACK = $00000008
#NDIS_MAC_OPTION_FULL_DUPLEX = $00000010
#NDIS_MAC_OPTION_EOTX_INDICATION = $00000020
#NDIS_MAC_OPTION_RESERVED = $80000000
#NDIS_CO_MAC_OPTION_DYNAMIC_LINK_SPEED = $00000001
Structure NDIS_IRDA_PACKET_INFO
  ExtraBOFs.l
  MinTurnAroundTime.l
EndStructure

Enumeration   ; NDIS_WW_NETWORK_TYPE
  #NdisWWGeneric
  #NdisWWMobitex
  #NdisWWPinpoint
  #NdisWWCDPD
  #NdisWWArdis
  #NdisWWDataTAC
  #NdisWWMetricom
  #NdisWWGSM
  #NdisWWCDMA
  #NdisWWTDMA
  #NdisWWAMPS
  #NdisWWInmarsat
  #NdisWWpACT
EndEnumeration

Enumeration   ; NDIS_WW_HEADER_FORMAT
  #NdisWWDIXEthernetFrames
  #NdisWWMPAKFrames
  #NdisWWRDLAPFrames
  #NdisWWMDC4800Frames
EndEnumeration

Enumeration   ; NDIS_WW_ENCRYPTION_TYPE
  #NdisWWUnknownEncryption = -1
  #NdisWWNoEncryption
  #NdisWWDefaultEncryption
EndEnumeration

Structure NDIS_WW_INDICATION_REQUEST
  Oid.NDIS_OID
  uIndicationFlag.l
  uApplicationToken.l
  hIndicationl.l
  iPollingInterval.l
  InitialValue.NDIS_VAR_DATA_DESC
  OIDIndicationValue.NDIS_VAR_DATA_DESC
  TriggerValue.NDIS_VAR_DATA_DESC
EndStructure

#OID_INDICATION_REQUEST_ENABLE = $0000
#OID_INDICATION_REQUEST_CANCEL = $0001
Structure WW_DEVICE_INFO
  Manufacturer.NDIS_VAR_DATA_DESC
  ModelNum.NDIS_VAR_DATA_DESC
  SWVersionNum.NDIS_VAR_DATA_DESC
  SerialNum.NDIS_VAR_DATA_DESC
EndStructure

Structure WW_CURRENT_ADDRESS
  Format.l
  Address.l
EndStructure

Structure WW_TAC_SETCONFIG
  RCV_MODE.NDIS_VAR_DATA_DESC
  TX_CONTROL.NDIS_VAR_DATA_DESC
  RX_CONTROL.NDIS_VAR_DATA_DESC
  FLOW_CONTROL.NDIS_VAR_DATA_DESC
  RESET_CNF.NDIS_VAR_DATA_DESC
  READ_CNF.NDIS_VAR_DATA_DESC
EndStructure

Structure WW_TAC_GETSTATUS
  Action.b
  Command.NDIS_VAR_DATA_DESC
  Option.NDIS_VAR_DATA_DESC
  Response.NDIS_VAR_DATA_DESC
EndStructure

Structure WW_ARD_SNDCP
  Version.NDIS_VAR_DATA_DESC
  BlockSize.l
  Window.l
EndStructure

Structure WW_ARD_DATAGRAM
  LoadLevel.b
  SessionTime.l
  HostAddr.NDIS_VAR_DATA_DESC
  THostAddr.NDIS_VAR_DATA_DESC
EndStructure

Structure WW_CDPD_SPNI
  SPNI.l[10]
  OperatingMode.l
EndStructure

Structure WW_CDPD_WIDE_AREA_SERVICE_ID
  WASI.l[10]
  OperatingMode.l
EndStructure

Structure WW_CDPD_CHANNEL_SELECT
  ChannelID.l
  fixedDuration.l
EndStructure

Enumeration   ; WW_CDPD_CHANNEL_STATE
  #CDPDChannelNotAvail
  #CDPDChannelScanning
  #CDPDChannelInitAcquired
  #CDPDChannelAcquired
  #CDPDChannelSleeping
  #CDPDChannelWaking
  #CDPDChannelCSDialing
  #CDPDChannelCSRedial
  #CDPDChannelCSAnswering
  #CDPDChannelCSConnected
  #CDPDChannelCSSuspended
EndEnumeration

Enumeration   ; WW_CDPD_NEI_FORMAT
  #CDPDNeiIPv4
  #CDPDNeiCLNP
  #CDPDNeiIPv6
EndEnumeration

Enumeration   ; WW_CDPD_NEI_TYPE
  #CDPDNeiIndividual
  #CDPDNeiMulticast
  #CDPDNeiBroadcast
EndEnumeration

Structure WW_CDPD_NEI
  uNeiIndex.l
  NeiFormat.l
  NeiType.l
  NeiGmid.word
  NeiAddress.NDIS_VAR_DATA_DESC
EndStructure

Enumeration   ; WW_CDPD_NEI_STATE
  #CDPDUnknown
  #CDPDRegistered
  #CDPDDeregistered
EndEnumeration

Enumeration   ; WW_CDPD_NEI_SUB_STATE
  #CDPDPending
  #CDPDNoReason
  #CDPDMDISNotCapable
  #CDPDNEINotAuthorized
  #CDPDInsufficientAuth
  #CDPDUnsupportedAuth
  #CDPDUsageExceeded
  #CDPDDeniedThisNetwork
EndEnumeration

Structure WW_CDPD_NEI_REG_STATE
  uNeiIndex.l
  NeiState.l
  NeiSubState.l
EndStructure

Structure WW_CDPD_SERVICE_PROVIDER_ID
  SPI.l[10]
  OperatingMode.l
EndStructure

Structure WW_CDPD_CIRCUIT_SWITCHED
  service_preference.l
  service_status.l
  connect_rate.l
  dial_code.NDIS_VAR_DATA_DESC[20]
  sid.l
  a_b_side_selection.l
  AMPS_channel.l
  action.l
  default_dial.NDIS_VAR_DATA_DESC[20]
  call_back.NDIS_VAR_DATA_DESC[20]
  sid_list.l[10]
  inactivity_timer.l
  receive_timer.l
  conn_resp_timer.l
  reconn_resp_timer.l
  disconn_timer.l
  NEI_reg_timer.l
  reconn_retry_timer.l
  link_reset_timer.l
  link_reset_ack_timer.l
  n401_retry_limit.l
  n402_retry_limit.l
  n404_retry_limit.l
  n405_retry_limit.l
EndStructure

Structure WW_PIN_LOCATION
  Latitude.l
  Longitude.l
  Altitude.l
  FixTime.l
  NetTime.l
  LocQuality.l
  LatReg.l
  LongReg.l
  GMTOffset.l
EndStructure

Structure WW_MBX_PMAN
  ACTION.b
  MAN.l
  PASSWORD.b[8]
EndStructure

Structure WW_MBX_FLEXLIST
  count.l
  MAN.l[7]
EndStructure

Structure WW_MBX_GROUPLIST
  count.l
  MAN.l[15]
EndStructure

Enumeration   ; WW_MBX_TRAFFIC_AREA
  #unknown_traffic_area
  #in_traffic_area
  #in_auth_traffic_area
  #unauth_traffic_area
EndEnumeration

Structure WW_MBX_CHANNEL_PAIR
  Mobile_Tx.l
  Mobile_Rx.l
EndStructure

Structure WW_MBX_TEMPDEFAULTLIST
  Length.l
  ChannelPair.WW_MBX_CHANNEL_PAIR[1]
EndStructure


; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 839
; FirstLine = 779
; Folding = -
; UseMainFile = pcap.pb