#PACKET_MODE_CAPT = $0
#PACKET_MODE_STAT = $1
#PACKET_MODE_MON = $2
#PACKET_MODE_DUMP = $10
#PACKET_MODE_STAT_DUMP = #PACKET_MODE_DUMP|#PACKET_MODE_STAT
#FILE_DEVICE_PROTOCOL = $8000
#IOCTL_PROTOCOL_STATISTICS = CTL_CODE(#FILE_DEVICE_PROTOCOL,2,#METHOD_BUFFERED,#FILE_ANY_ACCESS)
#IOCTL_PROTOCOL_RESET = CTL_CODE(#FILE_DEVICE_PROTOCOL,3,#METHOD_BUFFERED,#FILE_ANY_ACCESS)
#IOCTL_PROTOCOL_READ = CTL_CODE(#FILE_DEVICE_PROTOCOL,4,#METHOD_BUFFERED,#FILE_ANY_ACCESS)
#IOCTL_PROTOCOL_WRITE = CTL_CODE(#FILE_DEVICE_PROTOCOL,5,#METHOD_BUFFERED,#FILE_ANY_ACCESS)
#IOCTL_PROTOCOL_MACNAME = CTL_CODE(#FILE_DEVICE_PROTOCOL,6,#METHOD_BUFFERED,#FILE_ANY_ACCESS)
#IOCTL_OPEN = CTL_CODE(#FILE_DEVICE_PROTOCOL,7,#METHOD_BUFFERED,#FILE_ANY_ACCESS)
#IOCTL_CLOSE = CTL_CODE(#FILE_DEVICE_PROTOCOL,8,#METHOD_BUFFERED,#FILE_ANY_ACCESS)
#pBIOCSETBUFFERSIZE = 9592
#pBIOCSETF = 9030
#pBIOCGSTATS = 9031
#pBIOCSRTIMEOUT = 7416
#pBIOCSMODE = 7412
#pBIOCSWRITEREP = 7413
#pBIOCSMINTOCOPY = 7414
#pBIOCSETOID = 2147483648
#pBIOCQUERYOID = 2147483652
#pATTACHPROCESS = 7117
#pDETACHPROCESS = 7118
#pBIOCSETDUMPFILENAME = 9029
#pBIOCEVNAME = 7415
#pBIOCSENDPACKETSNOSYNC = 9032
#pBIOCSENDPACKETSSYNC = 9033
#pBIOCSETDUMPLIMITS = 9034
#pBIOCISDUMPENDED = 7411
#pBIOCSTIMEZONE = 7471
Structure NetType
  LinkType.l
  LinkSpeed.q
EndStructure

Structure bpf_stat
  bs_recv.l
  bs_drop.l
  ps_ifdrop.l
  bs_capt.l
EndStructure

Structure bpf_hdr
  bh_tstamp.timeval
  bh_caplen.l
  bh_datalen.l
  bh_hdrlen.w
EndStructure

Structure dump_bpf_hdr
  ts.timeval
  caplen.l
  len.l
EndStructure

#DOSNAMEPREFIX = ("Packet_")
#MAX_LINK_NAME_LENGTH = 64
#NMAX_PACKET = 65535
Structure npf_if_addr
  IPAddress.sockaddr_storage
  SubnetMask.sockaddr_storage
  Broadcast.sockaddr_storage
EndStructure

#ADAPTER_NAME_LENGTH = 256+12
#ADAPTER_DESC_LENGTH = 128
#MAX_MAC_ADDR_LENGTH = 8
#MAX_NETWORK_ADDRESSES = 16
#INFO_FLAG_NDIS_ADAPTER = 0
#INFO_FLAG_NDISWAN_ADAPTER = 1
#INFO_FLAG_DAG_CARD = 2
#INFO_FLAG_DAG_FILE = 6
#INFO_FLAG_DONT_EXPORT = 8

Structure ADAPTER_INFO
 *Next.ADAPTER_INFO
  Name.b[#ADAPTER_NAME_LENGTH+1]
  Description.b[#ADAPTER_DESC_LENGTH+1]
  MacAddressLen.l
  MacAddress.b[#MAX_MAC_ADDR_LENGTH]
  LinkLayer.NetType
  NNetworkAddresses.l
 *NetworkAddresses.npf_if_addr
  Flags.l
EndStructure

Structure ADAPTER
  hFile.l
  SymbolicLink.b[#MAX_LINK_NAME_LENGTH]
  NumWrites.l
  ReadEvent.l
  ReadTimeOut.l
  Name.b[#ADAPTER_NAME_LENGTH]
  pWanAdapter.l
  Flags.l
 *pDagCard.dagc_t
  DagBuffer.l
  DagReadTimeout.timeval
  DagFastProcess.l
EndStructure

Structure PACKET
  hEvent.l
  OverLapped.OVERLAPPED
  Buffer.l
  Length.l
  ulBytesReceived.l
  bIoComplete.b
EndStructure
; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 36
; FirstLine = 7
; Folding = -
; UseMainFile = pcap.pb