#BPF_RELEASE = 199606
#BPF_MAXINSNS = 512
#BPF_MAXBUFSIZE = $8000
#BPF_MINBUFSIZE = 32
Structure bpf_program
  bf_len.l
 *bf_insns.bpf_insn
EndStructure

Structure bpf_version
  bv_major.w
  bv_minor.w
EndStructure

#BPF_MAJOR_VERSION = 1
#BPF_MINOR_VERSION = 1
#DLT_NULL = 0
#DLT_EN10MB = 1
#DLT_EN3MB = 2
#DLT_AX25 = 3
#DLT_PRONET = 4
#DLT_CHAOS = 5
#DLT_IEEE802 = 6
#DLT_ARCNET = 7
#DLT_SLIP = 8
#DLT_PPP = 9
#DLT_FDDI = 10
#DLT_ATM_RFC1483 = 11
;#DLT_RAW = 14
#DLT_RAW = 12
;#DLT_SLIP_BSDOS = 13
;#DLT_PPP_BSDOS = 14
#DLT_SLIP_BSDOS = 15
#DLT_PPP_BSDOS = 16
#DLT_ATM_CLIP = 19
#DLT_REDBACK_SMARTEDGE = 32
#DLT_PPP_SERIAL = 50
#DLT_PPP_ETHER = 51
#DLT_SYMANTEC_FIREWALL = 99
#DLT_C_HDLC = 104
#DLT_CHDLC = #DLT_C_HDLC
#DLT_IEEE802_11 = 105
#DLT_FRELAY = 107
#DLT_LOOP = 108
;#DLT_ENC = 13
#DLT_ENC = 109
#DLT_LINUX_SLL = 113
#DLT_LTALK = 114
#DLT_ECONET = 115
#DLT_IPFILTER = 116
#DLT_OLD_PFLOG = 17
#DLT_PFSYNC = 18
#DLT_PFLOG = 117
#DLT_CISCO_IOS = 118
#DLT_PRISM_HEADER = 119
#DLT_AIRONET_HEADER = 120
#DLT_HHDLC = 121
#DLT_IP_OVER_FC = 122
#DLT_SUNATM = 123
#DLT_RIO = 124
#DLT_PCI_EXP = 125
#DLT_AURORA = 126
#DLT_IEEE802_11_RADIO = 127
#DLT_TZSP = 128
#DLT_ARCNET_LINUX = 129
#DLT_JUNIPER_MLPPP = 130
#DLT_JUNIPER_MLFR = 131
#DLT_JUNIPER_ES = 132
#DLT_JUNIPER_GGSN = 133
#DLT_JUNIPER_MFR = 134
#DLT_JUNIPER_ATM2 = 135
#DLT_JUNIPER_SERVICES = 136
#DLT_JUNIPER_ATM1 = 137
#DLT_APPLE_IP_OVER_IEEE1394 = 138
#DLT_MTP2_WITH_PHDR = 139
#DLT_MTP2 = 140
#DLT_MTP3 = 141
#DLT_SCCP = 142
#DLT_DOCSIS = 143
#DLT_LINUX_IRDA = 144
#DLT_IBM_SP = 145
#DLT_IBM_SN = 146
#DLT_USER0 = 147
#DLT_USER1 = 148
#DLT_USER2 = 149
#DLT_USER3 = 150
#DLT_USER4 = 151
#DLT_USER5 = 152
#DLT_USER6 = 153
#DLT_USER7 = 154
#DLT_USER8 = 155
#DLT_USER9 = 156
#DLT_USER10 = 157
#DLT_USER11 = 158
#DLT_USER12 = 159
#DLT_USER13 = 160
#DLT_USER14 = 161
#DLT_USER15 = 162
#DLT_IEEE802_11_RADIO_AVS = 163
#DLT_JUNIPER_MONITOR = 164
#DLT_BACNET_MS_TP = 165
#DLT_PPP_PPPD = 166
#DLT_PPP_WITH_DIRECTION = #DLT_PPP_PPPD
#DLT_LINUX_PPP_WITHDIRECTION = #DLT_PPP_PPPD
#DLT_JUNIPER_PPPOE = 167
#DLT_JUNIPER_PPPOE_ATM = 168
#DLT_GPRS_LLC = 169
#DLT_GPF_T = 170
#DLT_GPF_F = 171
#DLT_GCOM_T1E1 = 172
#DLT_GCOM_SERIAL = 173
#DLT_JUNIPER_PIC_PEER = 174
#DLT_ERF_ETH = 175
#DLT_ERF_POS = 176
#DLT_LINUX_LAPD = 177
#BPF_LD = $00
#BPF_LDX = $01
#BPF_ST = $02
#BPF_STX = $03
#BPF_ALU = $04
#BPF_JMP = $05
#BPF_RET = $06
#BPF_MISC = $07
#BPF_W = $00
#BPF_H = $08
#BPF_B = $10
#BPF_IMM = $00
#BPF_ABS = $20
#BPF_IND = $40
#BPF_MEM = $60
#BPF_LEN = $80
#BPF_MSH = $a0
#BPF_ADD = $00
#BPF_SUB = $10
#BPF_MUL = $20
#BPF_DIV = $30
#BPF_OR = $40
#BPF_AND = $50
#BPF_LSH = $60
#BPF_RSH = $70
#BPF_NEG = $80
#BPF_JA = $00
#BPF_JEQ = $10
#BPF_JGT = $20
#BPF_JGE = $30
#BPF_JSET = $40
#BPF_K = $00
#BPF_X = $08
#BPF_A = $10
#BPF_TAX = $00
#BPF_TXA = $80
Structure bpf_insn
  code.w
  jt.b
  jf.b
  k.l
EndStructure

#BPF_MEMWORDS = 16

; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 154
; FirstLine = 90
; Folding = -