Enumeration   ; swapped_type_t
  #NOT_SWAPPED
  #SWAPPED
  #MAYBE_SWAPPED
EndEnumeration

Structure pcap_sf
 *rfile.FILE
  swapped.l
  hdrsize.l
  lengths_swapped.l
  version_major.l
  version_minor.l
 *base.u_char
EndStructure

Structure pcap_md
  stat.pcap_stat
  use_bpf.l
  TotPkts.l
  TotAccepted.l
  TotDrops.l
  TotMissed.l
  OrigMissed.l
 *device.b
  sock_packet.l
  timeout.l
  clear_promisc.l
  cooked.l
  ifindex.l
  lo_ifindex.l
 *next.pcap
 *pdag_mem_bottom.u_char ;renamed because double names
 *pdag_mem_top.u_char ;renamed because double names
 *pdag_mem_base.l ;renamed
  dag_mem_bottom.l
  dag_mem_top.l
  dag_fcs_bits.l
  dag_offset_flags.l
  dag_stream.l
  dag_timeout.l
  TotNetDrops.l
  TotCapt.l
EndStructure

#PCAP_FDDIPAD = 3
Structure pcap
 *adapter.ADAPTER
 *Packet.PACKET
  timeout.l
  nonblock.l
  ;fd.l
  ;selectable_fd.l
  ;send_fd.l
  snapshot.l
  linktype.l
  tzoff.l
  offset.l
  break_loop.l
  fddipad.l
  inter_packet_wait.l
 *wait_proc.l
  sf.pcap_sf
  md.pcap_md
  bufsize.l
 *buffer.u_char
 *bp.u_char
  cc.l
 *pkt.u_char
  direction.l
 *read_op.l
 *inject_op.l
 *setfilter_op.l
 *setdirection_op.l
 *set_datalink_op.l
 *getnonblock_op.l
 *setnonblock_op.l
 *stats_op.l
 *close_op.l
  fcode.bpf_program
  errbuf.b[#PCAP_ERRBUF_SIZE+1]
  dlt_count.l
 *dlt_list.l
  pcap_header.pcap_pkthdr
  ;timeout.l
  rmt_clientside.l
  rmt_sockctrl.SOCKET
  rmt_sockdata.SOCKET
  rmt_flags.l
  rmt_capstarted.l
  rmt_samp.pcap_samp
 *currentfilter.b
EndStructure

Structure pcap_t Extends pcap
EndStructure

Structure pcap_timeval
  tv_sec.l
  tv_usec.l
EndStructure

Structure pcap_sf_pkthdr
  ts.pcap_timeval
  caplen.l
  len.l
EndStructure

Structure pcap_sf_patched_pkthdr
  ts.pcap_timeval
  caplen.l
  len.l
  index.l
  protocol.w
  pkt_type.b
EndStructure


; IDE Options = PureBasic v4.00 (Windows - x86)
; Folding = -