#TME_ERROR = 0
#TME_SUCCESS = 1
#TME_TRUE = 2
#TME_FALSE = 3
#DEFAULT_MEM_EX_SIZE = 65536
#MAX_TME_DATA_BLOCKS = 4
#TME_NONE_ACTIVE = $ffffffff
#DELTA_READ = 2
#TME_LUT_ENTRIES = $00000000
#TME_MAX_FILL_STATE = $00000001
#TME_REHASHING_VALUE = $00000002
#TME_KEY_LEN = $00000003
#TME_SHARED_MEMORY_BLOCKS = $00000004
#TME_FILLED_ENTRIES = $00000005
#TME_BLOCK_SIZE = $00000006
#TME_EXTRA_SEGMENT_SIZE = $00000007
#TME_LOOKUP_CODE = $00000008
#TME_OUT_LUT_EXEC = $00000009
#TME_FILLED_BLOCKS = $0000000a
#TME_DEFAULT_EXEC = $0000000b
#TME_LUT_BASE_ADDRESS = $0000000c
#TME_SHARED_MEMORY_BASE_ADDRESS = $0000000d
#TME_EXTRA_SEGMENT_BASE_ADDRESS = $0000000e
#TME_LAST_FOUND = $0000000f
#TME_LAST_FOUND_BLOCK = $00000010
#TME_LUT_ENTRIES_DEFAULT = 32007
#TME_REHASHING_VALUE_DEFAULT = 1
#TME_SHARED_MEMORY_BLOCKS_DEFAULT = 16000
#TME_BLOCK_SIZE_DEFAULT = 64
#TME_EXTRA_SEGMENT_SIZE_DEFAULT = 0
#TME_LOOKUP_CODE_DEFAULT = 0
#TME_OUT_LUT_EXEC_DEFAULT = 0
#TME_DEFAULT_EXEC_DEFAULT = 0
#TME_MAX_FILL_STATE_DEFAULT = 15000
Structure RECORD
  block.l
  exec_fcn.l
EndStructure

Structure TME_DATA
  lut_entries.l
  max_fill_state.l
  rehashing_value.l
  key_len.l
  shared_memory_blocks.l
  filled_entries.l
  block_size.l
  extra_segment_size.l
  filled_blocks.l
  lookup_code.l
  default_exec.l
  out_lut_exec.l
 *lut_base_address.b
 *shared_memory_base_address.b
 *extra_segment_base_address.b
  last_read.timeval
  enable_deletion.l
 *last_found.b
EndStructure

Structure TME_CORE
  working.l
  active.l
  validated_blocks.l
  block_data.TME_DATA[#MAX_TME_DATA_BLOCKS]
  active_read.l
EndStructure


; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 49
; Folding = -