;This is a console-app! (You won't see something if you just compile)

EnableExplicit
OpenConsole()
#AF_INET6 = 23

IncludePath "Include"
XIncludeFile "pcap.pb"

Procedure.s ExeFilename()
  Protected tmp$
  tmp$ = Space(2*#MAX_PATH)
  GetModuleFileName_(0,@tmp$,2*#MAX_PATH)
  ProcedureReturn GetFilePart(tmp$)
EndProcedure

Define *fp.pcap_t, errbuf.s{#PCAP_ERRBUF_SIZE}, i.l
Dim packet.b(100-1)
Define devicename.s

devicename = ProgramParameter()
If devicename = ""
  PrintN("usage: "+ExeFilename()+" Interface (e.g. 'rpcap://eth0')");
  End
EndIf
    
;/* Open the output device */
*fp = pcap_open(devicename, 100, #PCAP_OPENFLAG_PROMISCUOUS, 1000, #Null, @errbuf)
If *fp = #Null
  PrintN("Unable to open the adapter. "+devicename+" is not supported by WinPcap")
  End
EndIf

;/* Supposing To be on ethernet, set mac destination To 1:1:1:1:1:1 */
packet(0)=1;
packet(1)=1;
packet(2)=1;
packet(3)=1;
packet(4)=1;
packet(5)=1;
    
;/* set mac source to 2:2:2:2:2:2 */
packet(6)=2;
packet(7)=2;
packet(8)=2;
packet(9)=2;
packet(10)=2;
packet(11)=2;
    
;/* Fill the rest of the packet */
For i=12 To 100-1
  packet(i) = i%256
Next

;/* Send down the packet */
If pcap_sendpacket(*fp, @packet(), 100) <> 0
  PrintN("Error sending the packet: "+ PeekS(pcap_geterr(*fp)));
  End
EndIf

End
; IDE Options = PureBasic v4.00 (Windows - x86)
; ExecutableFormat = Console
; CursorPosition = 53
; Folding = -
; Executable = WinPcap-Tut07.exe